# kubezero

![Version: 1.21.7-0](https://img.shields.io/badge/Version-1.21.7--0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

KubeZero - Root App of Apps chart

**Homepage:** <https://kubezero.com>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Stefan Reimer | stefan@zero-downtime.net |  |

## Requirements

Kubernetes: `>= 1.20.0`

| Repository | Name | Version |
|------------|------|---------|
| https://cdn.zero-downtime.net/charts | kubezero-lib | >= 0.1.4 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| HighAvailableControlplane | bool | `false` |  |
| addons.enabled | bool | `false` |  |
| addons.targetRevision | string | `"0.1.0"` |  |
| argocd.enabled | bool | `false` |  |
| argocd.istio.enabled | bool | `false` |  |
| argocd.namespace | string | `"argocd"` |  |
| argocd.targetRevision | string | `"0.8.7"` |  |
| aws-ebs-csi-driver.enabled | bool | `false` |  |
| aws-ebs-csi-driver.targetRevision | string | `"0.6.4"` |  |
| aws-efs-csi-driver.enabled | bool | `false` |  |
| aws-efs-csi-driver.targetRevision | string | `"0.4.2"` |  |
| cert-manager.enabled | bool | `false` |  |
| cert-manager.namespace | string | `"cert-manager"` |  |
| cert-manager.targetRevision | string | `"0.7.3"` |  |
| istio-ingress.enabled | bool | `false` |  |
| istio-ingress.namespace | string | `"istio-ingress"` |  |
| istio-ingress.targetRevision | string | `"0.7.5"` |  |
| istio.enabled | bool | `false` |  |
| istio.namespace | string | `"istio-system"` |  |
| istio.targetRevision | string | `"0.7.5"` |  |
| kiam.enabled | bool | `false` |  |
| kiam.targetRevision | string | `"0.3.5"` |  |
| kubezero.defaultTargetRevision | string | `"*"` |  |
| kubezero.gitSync | object | `{}` |  |
| kubezero.repoURL | string | `"https://cdn.zero-downtime.net/charts"` |  |
| kubezero.server | string | `"https://kubernetes.default.svc"` |  |
| logging.enabled | bool | `false` |  |
| logging.namespace | string | `"logging"` |  |
| logging.targetRevision | string | `"0.7.16"` |  |
| metrics.enabled | bool | `false` |  |
| metrics.istio.grafana | object | `{}` |  |
| metrics.istio.prometheus | object | `{}` |  |
| metrics.namespace | string | `"monitoring"` |  |
| metrics.targetRevision | string | `"0.5.4"` |  |
| network.enabled | bool | `false` |  |
| network.retain | bool | `true` |  |
| network.targetRevision | string | `"0.1.0"` |  |
| storage.enabled | bool | `false` |  |
| storage.targetRevision | string | `"0.3.2"` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
